Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Groovydoc

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.javadoc.Groovydoc

    class Groovydoc
    extends SourceTask

This task generates html api doc for Groovy classes. It uses Groovy's Groovydoc tool for this. Please note that the Groovydoc tool has some severe limitations at the moment (for example no doc for properties comments). The version of the Groovydoc that is used, is the one from the Groovy defined in the build script. Please note also, that the Groovydoc tool prints to System.out for many of its statements and does circumvents our logging currently.

author:
  Hans Dockter

Field Summary
`boolean` | `includePrivate`

Constructor Summary
`Groovydoc()`

Method Summary
`protected void` | `generate()`
`AntGroovydoc` | `getAntGroovydoc()`
`File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.lang.String` | `getDocTitle()` Returns the title for the package index(first) page.
`java.lang.String` | `getFooter()` Returns the html footer for each page.
`FileCollection` | `getGroovyClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`java.lang.String` | `getHeader()` Returns the html header for each page.
`File` | `getOverview()` Returns a html file to be used for overview documentation.
`java.lang.String` | `getWindowTitle()` Returns the browser window title for the documentation.
`boolean` | `isIncludePrivate()` Returns whether to include all classes and members (i.e. including private ones).
`boolean` | `isUse()` Returns whether to create class and package usage pages.
`void` | `setAntGroovydoc(AntGroovydoc antGroovydoc)`
`void` | `setDestinationDir(File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setDocTitle(java.lang.String docTitle)` Set's title for the package index(first) page (optional).
`void` | `setFooter(java.lang.String footer)` Set's footer text for each page (optional).
`void` | `setGroovyClasspath(FileCollection groovyClasspath)` Sets the classpath to use to locate classes referenced by the documented source.
`void` | `setHeader(java.lang.String header)` Set's header text for each page (optional).
`void` | `setIncludePrivate(boolean includePrivate)` Set's whether to include all classes and members (i.e. including private ones) if set to true.
`void` | `setOverview(File overview)` Set's a html file to be used for overview documentation (optional).
`void` | `setUse(boolean use)` Set's whether to create class and package usage pages.
`void` | `setWindowTitle(java.lang.String windowTitle)` Set's the browser window title for the documentation.

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Field Detail

### includePrivate

    boolean includePrivate

Constructor Detail

### Groovydoc

    public Groovydoc()

Method Detail

### generate

    @TaskAction
    protected void generate()

### getAntGroovydoc

    public AntGroovydoc getAntGroovydoc()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

  Returns the directory to generate the documentation into.

  return:
    The directory.

### getDocTitle

    public java.lang.String getDocTitle()

  Returns the title for the package index(first) page. Returns null if not set.

### getFooter

    public java.lang.String getFooter()

  Returns the html footer for each page. Returns null if not set.

### getGroovyClasspath

    @InputFiles
    public FileCollection getGroovyClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  return:
    The classpath.

### getHeader

    public java.lang.String getHeader()

  Returns the html header for each page. Returns null if not set.

### getOverview

    @InputFile
    @Optional
    public File getOverview()

  Returns a html file to be used for overview documentation. Returns null if such a file is not set.

### getWindowTitle

    public java.lang.String getWindowTitle()

  Returns the browser window title for the documentation.

### isIncludePrivate

    public boolean isIncludePrivate()

  Returns whether to include all classes and members (i.e. including private ones).

### isUse

    public boolean isUse()

  Returns whether to create class and package usage pages.

### setAntGroovydoc

    public void setAntGroovydoc(AntGroovydoc antGroovydoc)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

  Sets the directory to generate the documentation into.

### setDocTitle

    public void setDocTitle(java.lang.String docTitle)

  Set's title for the package index(first) page (optional).
  param:
    docTitle the docTitle as html-code

### setFooter

    public void setFooter(java.lang.String footer)

  Set's footer text for each page (optional).
  param:
    footer the footer as html-code

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

  Sets the classpath to use to locate classes referenced by the documented source.

### setHeader

    public void setHeader(java.lang.String header)

  Set's header text for each page (optional).
  param:
    header the header as html-code

### setIncludePrivate

    public void setIncludePrivate(boolean includePrivate)

  Set's whether to include all classes and members (i.e. including private ones) if set to true. Defaults to false.
  param:
    includePrivate

### setOverview

    public void setOverview(File overview)

  Set's a html file to be used for overview documentation (optional).
  param:
    overview

### setUse

    public void setUse(boolean use)

  Set's whether to create class and package usage pages. Defaults to false.
  param:
    use

### setWindowTitle

    public void setWindowTitle(java.lang.String windowTitle)

  Set's the browser window title for the documentation.
  param:
    windowTitle A text for the windows title

Groovy Documentation